public inbox for stable@vger.kernel.org
 help / color / mirror / Atom feed
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: stable@vger.kernel.org
Cc: Greg Kroah-Hartman <gregkh@linuxfoundation.org>,
	patches@lists.linux.dev, Phil Sutter <phil@nwl.cc>,
	Pablo Neira Ayuso <pablo@netfilter.org>,
	Sasha Levin <sashal@kernel.org>
Subject: [PATCH 6.5 119/163] selftests: netfilter: Test nf_tables audit logging
Date: Mon,  9 Oct 2023 15:01:23 +0200	[thread overview]
Message-ID: <20231009130127.316281688@linuxfoundation.org> (raw)
In-Reply-To: <20231009130124.021290599@linuxfoundation.org>

6.5-stable review patch.  If anyone has any objections, please let me know.

------------------

From: Phil Sutter <phil@nwl.cc>

[ Upstream commit e8dbde59ca3fe925d0105bfb380e8429928b16dd ]

Compare NETFILTER_CFG type audit logs emitted from kernel upon ruleset
modifications against expected output.

Signed-off-by: Phil Sutter <phil@nwl.cc>
Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Stable-dep-of: 0d880dc6f032 ("netfilter: nf_tables: Deduplicate nft_register_obj audit logs")
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
 tools/testing/selftests/netfilter/.gitignore  |   1 +
 tools/testing/selftests/netfilter/Makefile    |   4 +-
 .../selftests/netfilter/audit_logread.c       | 165 ++++++++++++++++++
 tools/testing/selftests/netfilter/config      |   1 +
 .../testing/selftests/netfilter/nft_audit.sh  | 108 ++++++++++++
 5 files changed, 277 insertions(+), 2 deletions(-)
 create mode 100644 tools/testing/selftests/netfilter/audit_logread.c
 create mode 100755 tools/testing/selftests/netfilter/nft_audit.sh

diff --git a/tools/testing/selftests/netfilter/.gitignore b/tools/testing/selftests/netfilter/.gitignore
index 4cb887b574138..4b2928e1c19d8 100644
--- a/tools/testing/selftests/netfilter/.gitignore
+++ b/tools/testing/selftests/netfilter/.gitignore
@@ -1,3 +1,4 @@
 # SPDX-License-Identifier: GPL-2.0-only
 nf-queue
 connect_close
+audit_logread
diff --git a/tools/testing/selftests/netfilter/Makefile b/tools/testing/selftests/netfilter/Makefile
index 3686bfa6c58d7..321db8850da00 100644
--- a/tools/testing/selftests/netfilter/Makefile
+++ b/tools/testing/selftests/netfilter/Makefile
@@ -6,13 +6,13 @@ TEST_PROGS := nft_trans_stress.sh nft_fib.sh nft_nat.sh bridge_brouter.sh \
 	nft_concat_range.sh nft_conntrack_helper.sh \
 	nft_queue.sh nft_meta.sh nf_nat_edemux.sh \
 	ipip-conntrack-mtu.sh conntrack_tcp_unreplied.sh \
-	conntrack_vrf.sh nft_synproxy.sh rpath.sh
+	conntrack_vrf.sh nft_synproxy.sh rpath.sh nft_audit.sh
 
 HOSTPKG_CONFIG := pkg-config
 
 CFLAGS += $(shell $(HOSTPKG_CONFIG) --cflags libmnl 2>/dev/null)
 LDLIBS += $(shell $(HOSTPKG_CONFIG) --libs libmnl 2>/dev/null || echo -lmnl)
 
-TEST_GEN_FILES =  nf-queue connect_close
+TEST_GEN_FILES =  nf-queue connect_close audit_logread
 
 include ../lib.mk
diff --git a/tools/testing/selftests/netfilter/audit_logread.c b/tools/testing/selftests/netfilter/audit_logread.c
new file mode 100644
index 0000000000000..a0a880fc2d9de
--- /dev/null
+++ b/tools/testing/selftests/netfilter/audit_logread.c
@@ -0,0 +1,165 @@
+// SPDX-License-Identifier: GPL-2.0
+
+#define _GNU_SOURCE
+#include <errno.h>
+#include <fcntl.h>
+#include <poll.h>
+#include <signal.h>
+#include <stdint.h>
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+#include <sys/socket.h>
+#include <unistd.h>
+#include <linux/audit.h>
+#include <linux/netlink.h>
+
+static int fd;
+
+#define MAX_AUDIT_MESSAGE_LENGTH	8970
+struct audit_message {
+	struct nlmsghdr nlh;
+	union {
+		struct audit_status s;
+		char data[MAX_AUDIT_MESSAGE_LENGTH];
+	} u;
+};
+
+int audit_recv(int fd, struct audit_message *rep)
+{
+	struct sockaddr_nl addr;
+	socklen_t addrlen = sizeof(addr);
+	int ret;
+
+	do {
+		ret = recvfrom(fd, rep, sizeof(*rep), 0,
+			       (struct sockaddr *)&addr, &addrlen);
+	} while (ret < 0 && errno == EINTR);
+
+	if (ret < 0 ||
+	    addrlen != sizeof(addr) ||
+	    addr.nl_pid != 0 ||
+	    rep->nlh.nlmsg_type == NLMSG_ERROR) /* short-cut for now */
+		return -1;
+
+	return ret;
+}
+
+int audit_send(int fd, uint16_t type, uint32_t key, uint32_t val)
+{
+	static int seq = 0;
+	struct audit_message msg = {
+		.nlh = {
+			.nlmsg_len   = NLMSG_SPACE(sizeof(msg.u.s)),
+			.nlmsg_type  = type,
+			.nlmsg_flags = NLM_F_REQUEST | NLM_F_ACK,
+			.nlmsg_seq   = ++seq,
+		},
+		.u.s = {
+			.mask    = key,
+			.enabled = key == AUDIT_STATUS_ENABLED ? val : 0,
+			.pid     = key == AUDIT_STATUS_PID ? val : 0,
+		}
+	};
+	struct sockaddr_nl addr = {
+		.nl_family = AF_NETLINK,
+	};
+	int ret;
+
+	do {
+		ret = sendto(fd, &msg, msg.nlh.nlmsg_len, 0,
+			     (struct sockaddr *)&addr, sizeof(addr));
+	} while (ret < 0 && errno == EINTR);
+
+	if (ret != (int)msg.nlh.nlmsg_len)
+		return -1;
+	return 0;
+}
+
+int audit_set(int fd, uint32_t key, uint32_t val)
+{
+	struct audit_message rep = { 0 };
+	int ret;
+
+	ret = audit_send(fd, AUDIT_SET, key, val);
+	if (ret)
+		return ret;
+
+	ret = audit_recv(fd, &rep);
+	if (ret < 0)
+		return ret;
+	return 0;
+}
+
+int readlog(int fd)
+{
+	struct audit_message rep = { 0 };
+	int ret = audit_recv(fd, &rep);
+	const char *sep = "";
+	char *k, *v;
+
+	if (ret < 0)
+		return ret;
+
+	if (rep.nlh.nlmsg_type != AUDIT_NETFILTER_CFG)
+		return 0;
+
+	/* skip the initial "audit(...): " part */
+	strtok(rep.u.data, " ");
+
+	while ((k = strtok(NULL, "="))) {
+		v = strtok(NULL, " ");
+
+		/* these vary and/or are uninteresting, ignore */
+		if (!strcmp(k, "pid") ||
+		    !strcmp(k, "comm") ||
+		    !strcmp(k, "subj"))
+			continue;
+
+		/* strip the varying sequence number */
+		if (!strcmp(k, "table"))
+			*strchrnul(v, ':') = '\0';
+
+		printf("%s%s=%s", sep, k, v);
+		sep = " ";
+	}
+	if (*sep) {
+		printf("\n");
+		fflush(stdout);
+	}
+	return 0;
+}
+
+void cleanup(int sig)
+{
+	audit_set(fd, AUDIT_STATUS_ENABLED, 0);
+	close(fd);
+	if (sig)
+		exit(0);
+}
+
+int main(int argc, char **argv)
+{
+	struct sigaction act = {
+		.sa_handler = cleanup,
+	};
+
+	fd = socket(PF_NETLINK, SOCK_RAW, NETLINK_AUDIT);
+	if (fd < 0) {
+		perror("Can't open netlink socket");
+		return -1;
+	}
+
+	if (sigaction(SIGTERM, &act, NULL) < 0 ||
+	    sigaction(SIGINT, &act, NULL) < 0) {
+		perror("Can't set signal handler");
+		close(fd);
+		return -1;
+	}
+
+	audit_set(fd, AUDIT_STATUS_ENABLED, 1);
+	audit_set(fd, AUDIT_STATUS_PID, getpid());
+
+	while (1)
+		readlog(fd);
+}
diff --git a/tools/testing/selftests/netfilter/config b/tools/testing/selftests/netfilter/config
index 4faf2ce021d90..7c42b1b2c69b4 100644
--- a/tools/testing/selftests/netfilter/config
+++ b/tools/testing/selftests/netfilter/config
@@ -6,3 +6,4 @@ CONFIG_NFT_REDIR=m
 CONFIG_NFT_MASQ=m
 CONFIG_NFT_FLOW_OFFLOAD=m
 CONFIG_NF_CT_NETLINK=m
+CONFIG_AUDIT=y
diff --git a/tools/testing/selftests/netfilter/nft_audit.sh b/tools/testing/selftests/netfilter/nft_audit.sh
new file mode 100755
index 0000000000000..83c271b1c7352
--- /dev/null
+++ b/tools/testing/selftests/netfilter/nft_audit.sh
@@ -0,0 +1,108 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0
+#
+# Check that audit logs generated for nft commands are as expected.
+
+SKIP_RC=4
+RC=0
+
+nft --version >/dev/null 2>&1 || {
+	echo "SKIP: missing nft tool"
+	exit $SKIP_RC
+}
+
+logfile=$(mktemp)
+echo "logging into $logfile"
+./audit_logread >"$logfile" &
+logread_pid=$!
+trap 'kill $logread_pid; rm -f $logfile' EXIT
+exec 3<"$logfile"
+
+do_test() { # (cmd, log)
+	echo -n "testing for cmd: $1 ... "
+	cat <&3 >/dev/null
+	$1 >/dev/null || exit 1
+	sleep 0.1
+	res=$(diff -a -u <(echo "$2") - <&3)
+	[ $? -eq 0 ] && { echo "OK"; return; }
+	echo "FAIL"
+	echo "$res"
+	((RC++))
+}
+
+nft flush ruleset
+
+for table in t1 t2; do
+	do_test "nft add table $table" \
+	"table=$table family=2 entries=1 op=nft_register_table"
+
+	do_test "nft add chain $table c1" \
+	"table=$table family=2 entries=1 op=nft_register_chain"
+
+	do_test "nft add chain $table c2; add chain $table c3" \
+	"table=$table family=2 entries=2 op=nft_register_chain"
+
+	cmd="add rule $table c1 counter"
+
+	do_test "nft $cmd" \
+	"table=$table family=2 entries=1 op=nft_register_rule"
+
+	do_test "nft $cmd; $cmd" \
+	"table=$table family=2 entries=2 op=nft_register_rule"
+
+	cmd=""
+	sep=""
+	for chain in c2 c3; do
+		for i in {1..3}; do
+			cmd+="$sep add rule $table $chain counter"
+			sep=";"
+		done
+	done
+	do_test "nft $cmd" \
+	"table=$table family=2 entries=6 op=nft_register_rule"
+done
+
+do_test 'nft reset rules t1 c2' \
+'table=t1 family=2 entries=3 op=nft_reset_rule'
+
+do_test 'nft reset rules table t1' \
+'table=t1 family=2 entries=3 op=nft_reset_rule
+table=t1 family=2 entries=3 op=nft_reset_rule
+table=t1 family=2 entries=3 op=nft_reset_rule'
+
+do_test 'nft reset rules' \
+'table=t1 family=2 entries=3 op=nft_reset_rule
+table=t1 family=2 entries=3 op=nft_reset_rule
+table=t1 family=2 entries=3 op=nft_reset_rule
+table=t2 family=2 entries=3 op=nft_reset_rule
+table=t2 family=2 entries=3 op=nft_reset_rule
+table=t2 family=2 entries=3 op=nft_reset_rule'
+
+for ((i = 0; i < 500; i++)); do
+	echo "add rule t2 c3 counter accept comment \"rule $i\""
+done | do_test 'nft -f -' \
+'table=t2 family=2 entries=500 op=nft_register_rule'
+
+do_test 'nft reset rules t2 c3' \
+'table=t2 family=2 entries=189 op=nft_reset_rule
+table=t2 family=2 entries=188 op=nft_reset_rule
+table=t2 family=2 entries=126 op=nft_reset_rule'
+
+do_test 'nft reset rules t2' \
+'table=t2 family=2 entries=3 op=nft_reset_rule
+table=t2 family=2 entries=3 op=nft_reset_rule
+table=t2 family=2 entries=186 op=nft_reset_rule
+table=t2 family=2 entries=188 op=nft_reset_rule
+table=t2 family=2 entries=129 op=nft_reset_rule'
+
+do_test 'nft reset rules' \
+'table=t1 family=2 entries=3 op=nft_reset_rule
+table=t1 family=2 entries=3 op=nft_reset_rule
+table=t1 family=2 entries=3 op=nft_reset_rule
+table=t2 family=2 entries=3 op=nft_reset_rule
+table=t2 family=2 entries=3 op=nft_reset_rule
+table=t2 family=2 entries=180 op=nft_reset_rule
+table=t2 family=2 entries=188 op=nft_reset_rule
+table=t2 family=2 entries=135 op=nft_reset_rule'
+
+exit $RC
-- 
2.40.1




  parent reply	other threads:[~2023-10-09 13:14 UTC|newest]

Thread overview: 178+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-09 12:59 [PATCH 6.5 000/163] 6.5.7-rc1 review Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 001/163] ALSA: hda/tas2781: Add tas2781 HDA driver Greg Kroah-Hartman
2023-10-09 13:17   ` Takashi Iwai
2023-10-09 14:25     ` Sasha Levin
2023-10-09 14:29       ` Takashi Iwai
2023-10-09 17:39         ` Sasha Levin
2023-10-09 18:07         ` Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 002/163] ALSA: hda/realtek: Add quirk for HP Victus 16-d1xxx to enable mute LED Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 003/163] ALSA: hda/realtek: Add quirk for mute LEDs on HP ENVY x360 15-eu0xxx Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 004/163] ALSA: hda/realtek - ALC287 I2S speaker platform support Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 005/163] ALSA: hda/realtek - ALC287 Realtek " Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 006/163] ASoC: soc-utils: Export snd_soc_dai_is_dummy() symbol Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 007/163] ASoC: tegra: Fix redundant PLLA and PLLA_OUT0 updates Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 008/163] maple_tree: add mas_is_active() to detect in-tree walks Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 009/163] mptcp: Remove unnecessary test for __mptcp_init_sock() Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 010/163] mptcp: rename timer related helper to less confusing names Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 011/163] mptcp: fix dangling connection hang-up Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 012/163] scsi: core: Improve type safety of scsi_rescan_device() Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 013/163] scsi: Do not attempt to rescan suspended devices Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 014/163] ata: libata-scsi: Fix delayed scsi_rescan_device() execution Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 015/163] btrfs: remove btrfs_writepage_endio_finish_ordered Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 016/163] btrfs: remove end_extent_writepage Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 017/163] btrfs: dont clear uptodate on write errors Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 018/163] arm64: add HWCAP for FEAT_HBC (hinted conditional branches) Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 019/163] arm64: cpufeature: Fix CLRBHB and BC detection Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 020/163] net: add sysctl accept_ra_min_rtr_lft Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 021/163] net: change accept_ra_min_rtr_lft to affect all RA lifetimes Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 022/163] net: release reference to inet6_dev pointer Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 023/163] iommu/arm-smmu-v3: Avoid constructing invalid range commands Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 024/163] maple_tree: reduce resets during store setup Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 025/163] maple_tree: add MAS_UNDERFLOW and MAS_OVERFLOW states Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 026/163] iommu/apple-dart: Handle DMA_FQ domains in attach_dev() Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 027/163] scsi: zfcp: Fix a double put in zfcp_port_enqueue() Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 028/163] iommu/vt-d: Avoid memory allocation in iommu_suspend() Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 029/163] net: mana: Fix TX CQE error handling Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 030/163] vringh: dont use vringh_kiov_advance() in vringh_iov_xfer() Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 031/163] net: ethernet: mediatek: disable irq before schedule napi Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 032/163] mptcp: fix delegated action races Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 033/163] mptcp: userspace pm allow creating id 0 subflow Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 034/163] qed/red_ll2: Fix undefined behavior bug in struct qed_ll2_info Greg Kroah-Hartman
2023-10-09 12:59 ` [PATCH 6.5 035/163] Bluetooth: hci_codec: Fix leaking content of local_codecs Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 036/163] wifi: brcmfmac: Replace 1-element arrays with flexible arrays Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 037/163] Bluetooth: hci_sync: Fix handling of HCI_QUIRK_STRICT_DUPLICATE_FILTER Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 038/163] wifi: rtw88: rtw8723d: Fix MAC address offset in EEPROM Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 039/163] wifi: mwifiex: Fix tlv_buf_left calculation Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 040/163] io_uring: dont allow IORING_SETUP_NO_MMAP rings on highmem pages Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 041/163] md/raid5: release batch_last before waiting for another stripe_head Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 042/163] PCI/PM: Mark devices disconnected if upstream PCIe link is down on resume Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 043/163] PCI: qcom: Fix IPQ8074 enumeration Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 044/163] platform/x86/intel/ifs: release cpus_read_lock() Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 045/163] net: replace calls to sock->ops->connect() with kernel_connect() Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 046/163] io_uring/kbuf: dont allow registered buffer rings on highmem pages Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 047/163] io_uring: ensure io_lockdep_assert_cq_locked() handles disabled rings Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 048/163] btrfs: always print transaction aborted messages with an error level Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 049/163] btrfs: reject unknown mount options early Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 050/163] net: prevent rewrite of msg_name in sock_sendmsg() Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 051/163] drm/i915: Dont set PIPE_CONTROL_FLUSH_L3 for aux inval Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 052/163] drm/amd: Fix detection of _PR3 on the PCIe root port Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 053/163] drm/amd: Fix logic error in sienna_cichlid_update_pcie_parameters() Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 054/163] arm64: Add Cortex-A520 CPU part definition Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 055/163] arm64: errata: Add Cortex-A520 speculative unprivileged load workaround Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 056/163] HID: sony: Fix a potential memory leak in sony_probe() Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 057/163] wifi: mt76: fix lock dependency problem for wed_lock Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 058/163] ubi: Refuse attaching if mtds erasesize is 0 Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 059/163] erofs: fix memory leak of LZMA global compressed deduplication Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 060/163] wifi: cfg80211/mac80211: hold link BSSes when assoc fails for MLO connection Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 061/163] iwlwifi: mvm: handle PS changes in vif_cfg_changed Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 062/163] wifi: iwlwifi: dbg_ini: fix structure packing Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 063/163] wifi: iwlwifi: mvm: Fix a memory corruption issue Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 064/163] wifi: cfg80211: fix cqm_config access race Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 065/163] rtla/timerlat_aa: Zero thread sum after every sample analysis Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 066/163] rtla/timerlat_aa: Fix negative IRQ delay Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 067/163] rtla/timerlat_aa: Fix previous IRQ delay for IRQs that happens after thread sample Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 068/163] wifi: cfg80211: add missing kernel-doc for cqm_rssi_work Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 069/163] wifi: mac80211: fix mesh id corruption on 32 bit systems Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 070/163] wifi: mwifiex: Fix oob check condition in mwifiex_process_rx_packet Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 071/163] HID: nvidia-shield: add LEDS_CLASS dependency Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 072/163] erofs: allow empty device tags in flatdev mode Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 073/163] s390/bpf: Let arch_prepare_bpf_trampoline return program size Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 074/163] leds: Drop BUG_ON check for LED_COLOR_ID_MULTI Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 075/163] bpf: Fix tr dereferencing Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 076/163] bpf: unconditionally reset backtrack_state masks on global func exit Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 077/163] regulator: mt6358: split ops for buck and linear range LDO regulators Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 078/163] Bluetooth: Delete unused hci_req_prepare_suspend() declaration Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 079/163] Bluetooth: Fix hci_link_tx_to RCU lock usage Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 080/163] Bluetooth: ISO: Fix handling of listen for unicast Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 081/163] drivers/net: process the result of hdlc_open() and add call of hdlc_close() in uhdlc_close() Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 082/163] wifi: mt76: mt76x02: fix MT76x0 external LNA gain handling Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 083/163] perf/x86/amd/core: Fix overflow reset on hotplug Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 084/163] rtla/timerlat: Do not stop user-space if a cpu is offline Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 085/163] regmap: rbtree: Fix wrong register marked as in-cache when creating new node Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 086/163] wifi: mac80211: fix potential key use-after-free Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 087/163] perf/x86/amd: Do not WARN() on every IRQ Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 088/163] iommu/mediatek: Fix share pgtable for iova over 4GB Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 089/163] wifi: mac80211: Create resources for disabled links Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 090/163] regulator/core: regulator_register: set device->class earlier Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 091/163] ima: Finish deprecation of IMA_TRUSTED_KEYRING Kconfig Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 092/163] wifi: iwlwifi: mvm: Fix incorrect usage of scan API Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 093/163] scsi: target: core: Fix deadlock due to recursive locking Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 094/163] ima: rework CONFIG_IMA dependency block Greg Kroah-Hartman
2023-10-09 13:00 ` [PATCH 6.5 095/163] NFSv4: Fix a nfs4_state_manager() race Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 096/163] ice: always add legacy 32byte RXDID in supported_rxdids Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 097/163] bpf: tcp_read_skb needs to pop skb regardless of seq Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 098/163] bpf, sockmap: Do not inc copied_seq when PEEK flag set Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 099/163] bpf, sockmap: Reject sk_msg egress redirects to non-TCP sockets Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 100/163] modpost: add missing else to the "of" check Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 101/163] net: stmmac: platform: fix the incorrect parameter Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 102/163] net: fix possible store tearing in neigh_periodic_work() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 103/163] neighbour: fix data-races around n->output Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 104/163] ipv4, ipv6: Fix handling of transhdrlen in __ip{,6}_append_data() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 105/163] ptp: ocp: Fix error handling in ptp_ocp_device_init Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 106/163] net: dsa: mv88e6xxx: Avoid EEPROM timeout when EEPROM is absent Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 107/163] ovl: move freeing ovl_entry past rcu delay Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 108/163] ovl: fetch inode once in ovl_dentry_revalidate_common() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 109/163] ipv6: tcp: add a missing nf_reset_ct() in 3WHS handling Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 110/163] net: usb: smsc75xx: Fix uninit-value access in __smsc75xx_read_reg Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 111/163] ethtool: plca: fix plca enable data type while parsing the value Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 112/163] net: nfc: llcp: Add lock when modifying device list Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 113/163] net: renesas: rswitch: Add spin lock protection for irq {un}mask Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 114/163] rswitch: Fix PHY station management clock setting Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 115/163] net: ethernet: ti: am65-cpsw: Fix error code in am65_cpsw_nuss_init_tx_chns() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 116/163] ibmveth: Remove condition to recompute TCP header checksum Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 117/163] netfilter: nft_payload: rebuild vlan header on h_proto access Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 118/163] netfilter: handle the connecting collision properly in nf_conntrack_proto_sctp Greg Kroah-Hartman
2023-10-09 13:01 ` Greg Kroah-Hartman [this message]
2023-10-09 13:01 ` [PATCH 6.5 120/163] selftests: netfilter: Extend nft_audit.sh Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 121/163] netfilter: nf_tables: Deduplicate nft_register_obj audit logs Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 122/163] netfilter: nf_tables: nft_set_rbtree: fix spurious insertion failure Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 123/163] ipv4: Set offload_failed flag in fibmatch results Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 124/163] net: stmmac: dwmac-stm32: fix resume on STM32 MCU Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 125/163] tipc: fix a potential deadlock on &tx->lock Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 126/163] tcp: fix quick-ack counting to count actual ACKs of new data Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 127/163] tcp: fix delayed ACKs for MSS boundary condition Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 128/163] sctp: update transport state when processing a dupcook packet Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 129/163] sctp: update hb timer immediately after users change hb_interval Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 130/163] netlink: annotate data-races around sk->sk_err Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 131/163] net: mana: Fix the tso_bytes calculation Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 132/163] net: mana: Fix oversized sge0 for GSO packets Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 133/163] HID: nvidia-shield: Fix a missing led_classdev_unregister() in the probe error handling path Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 134/163] HID: sony: remove duplicate NULL check before calling usb_free_urb() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 135/163] HID: intel-ish-hid: ipc: Disable and reenable ACPI GPE bit Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 136/163] net: lan743x: also select PHYLIB Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 137/163] parisc: Restore __ldcw_align for PA-RISC 2.0 processors Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 138/163] smb: use kernel_connect() and kernel_bind() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 139/163] parisc: Fix crash with nr_cpus=1 option Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 140/163] dm zoned: free dmz->ddev array in dmz_put_zoned_devices Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 141/163] RDMA/core: Require admin capabilities to set system parameters Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 142/163] of: dynamic: Fix potential memory leak in of_changeset_action() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 143/163] IB/mlx4: Fix the size of a buffer in add_port_entries() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 144/163] gpio: aspeed: fix the GPIO number passed to pinctrl_gpio_set_config() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 145/163] gpio: pxa: disable pinctrl calls for MMP_GPIO Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 146/163] RDMA/cma: Initialize ib_sa_multicast structure to 0 when join Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 147/163] RDMA/cma: Fix truncation compilation warning in make_cma_ports Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 148/163] RDMA/bnxt_re: Fix the handling of control path response data Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 149/163] RDMA/uverbs: Fix typo of sizeof argument Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 150/163] RDMA/srp: Do not call scsi_done() from srp_abort() Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 151/163] RDMA/siw: Fix connection failure handling Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 152/163] RDMA/mlx5: Fix mkey cache possible deadlock on cleanup Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 153/163] RDMA/mlx5: Fix assigning access flags to cache mkeys Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 154/163] RDMA/mlx5: Fix mutex unlocking on error flow for steering anchor creation Greg Kroah-Hartman
2023-10-09 13:01 ` [PATCH 6.5 155/163] RDMA/mlx5: Fix NULL string error Greg Kroah-Hartman
2023-10-09 13:02 ` [PATCH 6.5 156/163] ALSA: hda/realtek: Fix spelling mistake "powe" -> "power" Greg Kroah-Hartman
2023-10-09 13:02 ` [PATCH 6.5 157/163] ALSA: hda/realtek - Fixed two speaker platform Greg Kroah-Hartman
2023-10-09 13:02 ` [PATCH 6.5 158/163] x86/sev: Change npages to unsigned long in snp_accept_memory() Greg Kroah-Hartman
2023-10-09 13:02 ` [PATCH 6.5 159/163] x86/sev: Use the GHCB protocol when available for SNP CPUID requests Greg Kroah-Hartman
2023-10-09 13:02 ` [PATCH 6.5 160/163] ksmbd: fix race condition between session lookup and expire Greg Kroah-Hartman
2023-10-09 13:02 ` [PATCH 6.5 161/163] ksmbd: fix uaf in smb20_oplock_break_ack Greg Kroah-Hartman
2023-10-09 13:02 ` [PATCH 6.5 162/163] ksmbd: fix race condition from parallel smb2 lock requests Greg Kroah-Hartman
2023-10-09 13:02 ` [PATCH 6.5 163/163] RDMA/mlx5: Remove not-used cache disable flag Greg Kroah-Hartman
2023-10-09 18:45 ` [PATCH 6.5 000/163] 6.5.7-rc1 review SeongJae Park
2023-10-09 22:47 ` Shuah Khan
2023-10-09 23:23 ` Florian Fainelli
2023-10-10  6:23 ` Bagas Sanjaya
2023-10-10  7:20 ` Ron Economos
2023-10-10  9:59 ` Jon Hunter
2023-10-10 15:04 ` Naresh Kamboju
2023-10-10 15:10 ` Allen Pais
2023-10-10 18:20 ` Guenter Roeck

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20231009130127.316281688@linuxfoundation.org \
    --to=gregkh@linuxfoundation.org \
    --cc=pablo@netfilter.org \
    --cc=patches@lists.linux.dev \
    --cc=phil@nwl.cc \
    --cc=sashal@kernel.org \
    --cc=stable@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox